diff -Naur a/src/defaults.c b/src/defaults.c
--- a/src/defaults.c	2007-01-07 00:20:23.000000000 +0100
+++ b/src/defaults.c	2007-01-07 00:20:31.000000000 +0100
@@ -487,6 +487,18 @@
     {"DoubleClickTime",	"250",   (void*) &wPreferences.dblclick_time,
     &wPreferences.dblclick_time, getInt,        setDoubleClick,
     },
+    {"ClipAutoraiseDelay", "600",               NULL,
+    &wPreferences.clip_auto_raise_delay, getInt, NULL
+    },
+    {"ClipAutolowerDelay", "1000",              NULL,
+    &wPreferences.clip_auto_lower_delay, getInt, NULL
+    },
+    {"ClipAutoexpandDelay", "600",              NULL,
+    &wPreferences.clip_auto_expand_delay, getInt, NULL
+    },
+    {"ClipAutocollapseDelay", "1000",           NULL,
+    &wPreferences.clip_auto_collapse_delay, getInt, NULL
+    },
     {"AlignSubmenus",	"NO",			NULL,
     &wPreferences.align_menus,	getBool,	NULL
     },
diff -Naur a/src/dock.c b/src/dock.c
--- a/src/dock.c	2007-01-07 00:20:23.000000000 +0100
+++ b/src/dock.c	2007-01-07 00:20:31.000000000 +0100
@@ -4238,7 +4238,7 @@
         dock->auto_lower_magic = NULL;
     }
     if (dock->auto_raise_lower && !dock->auto_raise_magic) {
-        dock->auto_raise_magic = WMAddTimerHandler(AUTO_RAISE_DELAY,
+        dock->auto_raise_magic = WMAddTimerHandler(wPreferences.clip_auto_raise_delay,
                                                    clipAutoRaise,
                                                    (void *)dock);
     }
@@ -4249,7 +4249,7 @@
         dock->auto_collapse_magic = NULL;
     }
     if (dock->auto_collapse && !dock->auto_expand_magic) {
-        dock->auto_expand_magic = WMAddTimerHandler(AUTO_EXPAND_DELAY,
+        dock->auto_expand_magic = WMAddTimerHandler(wPreferences.clip_auto_expand_delay,
                                                     clipAutoExpand,
                                                     (void *)dock);
     }
@@ -4296,7 +4296,7 @@
         dock->auto_raise_magic = NULL;
     }
     if (dock->auto_raise_lower && !dock->auto_lower_magic) {
-        dock->auto_lower_magic = WMAddTimerHandler(AUTO_LOWER_DELAY,
+        dock->auto_lower_magic = WMAddTimerHandler(wPreferences.clip_auto_lower_delay,
                                                    clipAutoLower,
                                                    (void *)dock);
     }
@@ -4306,7 +4306,7 @@
         dock->auto_expand_magic = NULL;
     }
     if (dock->auto_collapse && !dock->auto_collapse_magic) {
-        dock->auto_collapse_magic = WMAddTimerHandler(AUTO_COLLAPSE_DELAY,
+        dock->auto_collapse_magic = WMAddTimerHandler(wPreferences.clip_auto_collapse_delay,
                                                       clipAutoCollapse,
                                                       (void *)dock);
     }
diff -Naur a/src/wconfig.h.in b/src/wconfig.h.in
--- a/src/wconfig.h.in	2007-01-07 00:20:23.000000000 +0100
+++ b/src/wconfig.h.in	2007-01-07 00:20:31.000000000 +0100
@@ -439,20 +439,6 @@
  * a docked icon must be dragged out to detach it */
 #define DOCK_DETTACH_THRESHOLD	3
 
-/* Delay (in ms) after which the clip will autocollapse when leaved */
-#define AUTO_COLLAPSE_DELAY     1000
-
-/* Delay (in ms) after which the clip will autoexpand when entered.
- * Set this to zero if you want instant expanding. */
-#define AUTO_EXPAND_DELAY       600
-
-/* Delay (in ms) after which the clip will be lowered when leaved */
-#define AUTO_LOWER_DELAY        1000
-
-/* Delay (in ms) after which the clip will be raised when entered.
- * Set this to zero if you want instant raise. */
-#define AUTO_RAISE_DELAY        600
-
 
 /* Max. number of icons the clip can have */
 #define CLIP_MAX_ICONS		32
diff -Naur a/src/WindowMaker.h b/src/WindowMaker.h
--- a/src/WindowMaker.h	2007-01-07 00:19:29.000000000 +0100
+++ b/src/WindowMaker.h	2007-01-07 00:20:31.000000000 +0100
@@ -472,6 +472,12 @@
     unsigned int workspace_border_size; /* Size in pixels of the workspace border */
     char workspace_border_position;     /* Where to leave a workspace border */
 
+    /* All delays here are in ms. 0 means instant auto-action. */
+    int clip_auto_raise_delay;         /* Delay after which the clip will be raised when entered */
+    int clip_auto_lower_delay;         /* Delay after which the clip will be lowered when leaved */
+    int clip_auto_expand_delay;        /* Delay after which the clip will expand when entered */
+    int clip_auto_collapse_delay;      /* Delay after which the clip will collapse when leaved */
+
     RImage *swtileImage;
     RImage *swbackImage[9];
 
